RDKit::Canon::SpecialSymmetryAtomCompareFunctor Class Reference

`#include <new_canon.h>`

## Public Member Functions

| SpecialSymmetryAtomCompareFunctor ()
| SpecialSymmetryAtomCompareFunctor (Canon::canon_atom *atoms, const ROMol &m, const boost::dynamic_bitset<> *atomsInPlay=NULL, const boost::dynamic_bitset<> *bondsInPlay=NULL)
int | operator() (int i, int j) const

## Public Attributes

Canon::canon_atom * | dp_atoms
const ROMol * | dp_mol
const boost::dynamic_bitset * | dp_atomsInPlay
const boost::dynamic_bitset * | dp_bondsInPlay

## Detailed Description

Definition at line 171 of file new_canon.h.

## Constructor & Destructor Documentation

## SpecialSymmetryAtomCompareFunctor() [1/2]

RDKit::Canon::SpecialSymmetryAtomCompareFunctor::SpecialSymmetryAtomCompareFunctor | ( |  | ) |

inline

Definition at line 177 of file new_canon.h.

## SpecialSymmetryAtomCompareFunctor() [2/2]

RDKit::Canon::SpecialSymmetryAtomCompareFunctor::SpecialSymmetryAtomCompareFunctor | ( | Canon::canon_atom * | atoms,
|  | const ROMol & | m,
|  | const boost::dynamic_bitset<> * | atomsInPlay = `NULL`,
|  | const boost::dynamic_bitset<> * | bondsInPlay = `NULL`
| ) |  |

inline

Definition at line 182 of file new_canon.h.

## Member Function Documentation

## operator()()

int RDKit::Canon::SpecialSymmetryAtomCompareFunctor::operator() | ( | int | i,
|  | int | j
| ) |  | const

inline

Definition at line 190 of file new_canon.h.

References RDKit::Canon::canon_atom::bonds, RDKit::Canon::bondholder::compare(), PRECONDITION, and RDKit::Canon::updateAtomNeighborIndex().

## Member Data Documentation

## dp_atoms

Canon::canon_atom* RDKit::Canon::SpecialSymmetryAtomCompareFunctor::dp_atoms

Definition at line 173 of file new_canon.h.

## dp_atomsInPlay

const boost::dynamic_bitset* RDKit::Canon::SpecialSymmetryAtomCompareFunctor::dp_atomsInPlay

Definition at line 175 of file new_canon.h.

## dp_bondsInPlay

const boost::dynamic_bitset * RDKit::Canon::SpecialSymmetryAtomCompareFunctor::dp_bondsInPlay

Definition at line 175 of file new_canon.h.

## dp_mol

const ROMol* RDKit::Canon::SpecialSymmetryAtomCompareFunctor::dp_mol

Definition at line 174 of file new_canon.h.

The documentation for this class was generated from the following file:

- new_canon.h